IOPSP(4) | Device Drivers Manual | IOPSP(4)

# NAME

`iopsp` —
I2O SCSI port driver

# SYNOPSIS

`iopsp* at iop? tid ?`
`scsibus* at iopsp?`

# DESCRIPTION

The `iopsp` driver provides support for I2O SCSI bus adapter ports and child peripherals.

IOPs present each child peripheral attached to a bus adapter port as an individual device. In order to present the appearance of a bus, the `iopsp` driver groups child peripherals by controlling port.

On IOPs containing a SCSI port and block or tape driver modules, some SCSI devices may not be directly accessible. For each inaccessible device, a message will be displayed during configuration. For example:

    	iopsp0: target 0,0 (tid 70): in use by tid 47

Such devices will usually be indirectly accessible as block devices, either individually or as part of an array.

# SEE ALSO

intro(4), iop(4), ld(4), scsi(4)

# HISTORY

The `iopsp` driver first appeared in NetBSD 1.5.3.

November 8, 1999 | NetBSD 10.0